#
# spec file for package lnxzip (Version 0.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile esound esound-devel glib glib-devel gnome-core gnome-libs gnome-libs-devel gtk gtk-devel imlib imlib-devel libjpeg libmpeg libpng libtiff libungif libz xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glib glib-devel glibc glibc-devel gnome-core gnome-libs gnome-libs-devel gpm gppshare grep groff gtk gtk-devel gzip imlib imlib-devel kbd less libjpeg libmpeg libpng libtiff libtool libungif libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         lnxzip
Copyright:    GPL
Group:        X11/GNOME/Utilities
Provides:     lnxzip 
Autoreqprov:  on
Version:      0.1
Release:      298
Summary:      A WinZip(tm) clone and RPM builder for GNOME
Source:       http://download.sourceforge.net/lnxzip/LnxZip-%{version}-2.tar.gz
URL:          http://lnxzip.sourceforge.net
BuildRoot:    %{_tmppath}/%{name}-root

%description
LnxZip  is a Gnome front-end to common archive utilities under Linux/unix. The
goal is to provide the end user with a quality tool he/she requires to either
work with compressed files or create RPM's.
Currently zip, gzip, tar, arj, and bzip2 are supported. Functionality includes
the ability to open archives, and to add, delete, extract, and view files.  RPM
functionality includes creation of spec file, automatic naming convention,
creation of build scripts, creation of build tree and execution of build
scripts.

Authors:
--------
    John Hawk <visionary@gtemail.net>

SuSE series: gnm

%define _prefix /opt/gnome
%prep
%setup -n LnxZip-0.1

%build
./configure --prefix=%{_prefix}
CFLAGS="$RPM_OPT_FLAGS"
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=$RPM_BUILD_ROOT install

%files
%defattr (-,root,root)
%doc COPYING INSTALL
%doc %{_prefix}/share/gnome/help/lnxzip/C/gnome-main.html
%doc %{_prefix}/share/gnome/help/lnxzip/C/gnome-rpm.html
%doc %{_prefix}/share/gnome/help/lnxzip/C/index.html
%doc %{_prefix}/share/gnome/help/lnxzip/C/topic.dat
%{_prefix}/bin/lnxzip
%{_prefix}/share/gnome/apps/Utilities/gnome-lnxzip.desktop
%{_prefix}/share/mime-info/gnome-lnxzip.keys
%{_prefix}/share/pixmaps/gnome-lnxzip.png

%changelog -n lnxzip
* Tue Mar 20 2001 - hhetter@suse.de
- added esound-devel to neededforbuild
* Sun Feb 25 2001 - egger@suse.de
- Remove unnecessary dependencies from #neededforbuild,
  especially imlib-config.
* Tue Jan 30 2001 - ro@suse.de
- changed neededforbuild <imlibcfe> to <imlib-config>
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Mon Oct 30 2000 - grimmer@suse.de
- initial version (0.1-2)
